## START: Set by rpmautospec
## (rpmautospec version 0.3.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          libdeflate
Version:       1.18
Release:       %autorelease
Summary:       Fast implementation of DEFLATE, gzip, and zlib
License:       MIT
URL:           https://github.com/ebiggers/libdeflate
Source0:       %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: cmake

%description
libdeflate is a library for fast, whole-buffer DEFLATE-based compression and
decompression, supporting DEFLATE, gzip, and zlib.

%package devel
Summary:       Development files for libdeflate
License:       MIT
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libdeflate.

%package utils
Summary:       Binaries from libdeflate
License:       MIT
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
Binaries from libdeflate.

%prep
%autosetup

%build
export CFLAGS="%optflags -fpic -pie -g"
%cmake -DLIBDEFLATE_BUILD_STATIC_LIB=OFF \
       -DLIBDEFLATE_USE_SHARED_LIB=ON
%cmake_build

%install
%cmake_install

%files
%doc NEWS.md README.md
%license COPYING
%{_libdir}/libdeflate.so.0

%files devel
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.so
%{_libdir}/cmake/libdeflate/
%{_libdir}/pkgconfig/*

%files utils
%{_bindir}/libdeflate-gzip
%{_bindir}/libdeflate-gunzip

%changelog
* Wed Feb 08 2023 BT (calcastor/mame) <43831917+calcastor@users.noreply.github.com> - 1.17-1
- Uncommitted changes

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Nick Black <dankamongmen@gmail.com> - 1.9-2
- install new pkgconfig file

* Thu Jan 13 2022 Nick Black <dankamongmen@gmail.com> - 1.9-1
- new upstream 1.9

* Tue Nov 23 2021 Nick Black <dankamongmen@gmail.com> - 1.8-1
- Initial import (#2023061)
